# Meshery Roadmap

Milestones on Meshery's high-level roadmap:

Milestone | Features
--- | ---
[v0.5.0](../../milestone/1) | <p><li>Adapters for NGINX Service Mesh and Traefik Mesh</li><li>Meshery Operator</li><li>Extensible GraphQL</li><li>Remote Provider dynamic injection</li><li>MeshKit and Meshery Adapter Library</li><li>performance profiles, patterns (crud)</li><li>MeshKit - Error Codes Utility</li></p>
[v0.6.0](../../milestone/3) | <p><li>Remote Provider: MeshMap (beta)</li><li>Meshery UI - Connection Wizard</li><li>MeshSync - Resync</li><li>WASM filter - Basic support (CRUD)</li><li>Application - Basic Support (CRUD)</li><li>GitHub Actions for Meshery (performance and conformance)</li></p>
[v0.7.0](../../milestone/4) | <p><li>workflow engine, policy (crud)</li><li>environments and multi-cluster</li><li>messaging framework and notification center</li><li>Meshery UI - Notification Center</li><li>Meshery UI - State Management</li><li>Distributed Performance Testing</li></p>
[v0.8.0](../../milestone/5) | <p><li>extensible authorization, filter hub,</li><li>Meshery UI - Operations Center</li></p>
[v0.9.0](../../milestone/6) | <p><li>policy engine, configuration analysisv2</li></p><p><li>Remote provider: gitops</li></p>
[v1.0.0](../../milestone/7) | <p><li>hardening, release process, integration tests, user acceptance testing</li></p>
[v1.1.0](../../milestone/8) | <p><li>distributed performance management</li><li>adaptive load optimizers</li></p>

Refer the [Meshery Roadmap](https://docs.google.com/document/d/1kvcz8jdvFwXmYBBaY2-3fHHUUoy1GJLpZZXuoxZQoOk/edit#) document for detailed info.

# mesheryctl Roadmap

Milestones on mesheryctl's high-level roadmap:

Milestone | Features
--- | ---
[v0.5.0](../../milestone/1) | <p><li>Release channel subscriptions with system channel, Deployment management with system context</li></p>
[v0.6.0](../../milestone/3) | <p><li>pervasive kubernetes support </li><li>Create `patterns`</li><li>Refactoring `perf` to support SMP better</li><li>Confirm support for Linux, Windows, and MacOS across all current commands</li><li>Refactoring `system config` for GKE</li> <Li>OAuth</Li><Li>`system check` - pre and post flight prereq check</li></p>
[v0.7.0](../../milestone/4) | <p><li>Create `mesh` (adapter operations)</li><li>Confirm support for environment and multi-cluster</li><li>Refactoring `system config` for AKS</li><li>Refactoring `system config` for EKS</li><li>Mesheryctl Code coverage goal: 40%</li></p>
[v0.8.0](../../milestone/5) | <p><li>gRPC (streaming of status and events)</li><p><p><li>Colorizing output</li><li>Refactoring `system` commands for docker-compose</li><li>Mesheryctl Code coverage goal: 50%</li></p>
[v0.9.0](../../milestone/6) | <p><Li>`system report` - diagnostics reporting</li><li>Mesheryctl Code coverage goal: 60%</li></p>
[v1.0.0](../../milestone/7) | 
[v1.1.0](../../milestone/8) | 

Refer to the [Meshery Roadmap](https://docs.google.com/document/d/1kvcz8jdvFwXmYBBaY2-3fHHUUoy1GJLpZZXuoxZQoOk/edit#) document for detailed info.
